import { Application } from 'express';
import IRestHandler from './interfaces/handler.interface';
import { IRestConfig } from '../launcher/interfaces/config.interface';
export default class RestLoader {
    private readonly app;
    private readonly ctx;
    private readonly restConfig?;
    private handlers;
    private middlewarePool;
    constructor(app: Application, ctx: any, restConfig?: IRestConfig);
    private handlersPath;
    private loadEndpointsUsingYaml;
    private loadEndpointUsingFolderStructure;
    loadEndpoints(): Promise<IRestHandler[]>;
    private applyToApplication;
}
