import RestHandler from './rest-handler';
import { HandlerContext } from '../../interfaces/handler.interface';
import { IMiddlewares } from '../interfaces/middlewares.interface';
export default class MiddlewarePool {
    private readonly handlers;
    private readonly context?;
    private pool;
    constructor(handlers: RestHandler[], context?: HandlerContext);
    private wrap;
    private importAndWrap;
    load(): Promise<MiddlewarePool>;
    private groupMiddleware;
    getGroupedMiddlewares(handler: RestHandler): IMiddlewares;
}
