import { Request } from 'express';
import { Redis } from 'ioredis';
import { Connection } from 'typeorm';
export interface ResolverContext {
    db: {
        connection?: Connection;
    };
    redis: Redis;
    request: Request;
    initContext: any;
    [key: string]: any;
}
export default interface Resolver {
    (parent: any, args: any, context: ResolverContext, info: any): any | Promise<any>;
}
