import { IResolvers } from 'apollo-server-express';
export default class GqlLoader {
    private resolversPath;
    private resolvers;
    private getResolverName;
    private loadResolversFromDir;
    private loadResolversFromFile;
    private loadResolvers;
    getResolvers(): Promise<IResolvers>;
    getResolversInArray(): Promise<{
        queryResolvers?: string[];
        mutationResolvers?: string[];
    }>;
    static getTypeDefs(): Promise<string>;
    private static importOrNull;
    getContextHandler(): Promise<any | null>;
    getAuthHandler(): Promise<any | null>;
    customScalars(schema: string): IResolvers;
}
