import { PluginDefinition } from 'apollo-server-core';
import { Handler } from 'express';
import { ValidationContext } from 'graphql';
import CostAnalysis from 'graphql-cost-analysis/dist/costAnalysis';
import { IConfig } from '../launcher/interfaces/config.interface';
import RequestCostTool from './request-cost.tool';
export declare class CustomCostAnalysis extends CostAnalysis {
    private context;
    private options;
    cost: number;
    constructor(context: ValidationContext, options: any);
}
declare const costAnalysisTool: (config: IConfig, requestCostTool: RequestCostTool) => Promise<{
    middleware: Handler;
    plugin: PluginDefinition;
}>;
export default costAnalysisTool;
